# osg::Point Class Reference

Point - encapsulates the OpenGL point smoothing and size state. More...

Inheritance diagram for osg::Point:

[legend]
List of all members.

## Public Member Functions

| Point ()
| Point (const Point &point, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, Point, POINT)
virtual int | compare (const StateAttribute &sa) const
| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
virtual bool | getModeUsage (ModeUsage &usage) const
| Return the modes associated with this StateAttribute.
void | setSize (float size)
float | getSize () const
void | setFadeThresholdSize (float fadeThresholdSize)
float | getFadeThresholdSize () const
void | setDistanceAttenuation (const Vec3 &distanceAttenuation)
const Vec3 & | getDistanceAttenuation () const
void | setMinSize (float minSize)
float | getMinSize () const
void | setMaxSize (float maxSize)
float | getMaxSize () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.

## Static Public Member Functions

static void | init_GL_EXT ()

## Protected Member Functions

virtual | ~Point ()

## Protected Attributes

float | _size
float | _fadeThresholdSize
Vec3 | _distanceAttenuation
float | _minSize
float | _maxSize

## Detailed Description

Point - encapsulates the OpenGL point smoothing and size state.

## Constructor & Destructor Documentation

Point::Point | ( |  | ) |

osg::Point::Point | ( | const Point & | point,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

Point::~Point | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void Point::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::Point::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

const Vec3& osg::Point::getDistanceAttenuation | ( |  | ) | const`[inline]`

float osg::Point::getFadeThresholdSize | ( |  | ) | const`[inline]`

float osg::Point::getMaxSize | ( |  | ) | const`[inline]`

float osg::Point::getMinSize | ( |  | ) | const`[inline]`

virtual bool osg::Point::getModeUsage | ( | ModeUsage & | usage | ) | const`[inline, virtual]`

| Return the modes associated with this StateAttribute. Reimplemented from osg::StateAttribute.

float osg::Point::getSize | ( |  | ) | const`[inline]`

void Point::init_GL_EXT | ( |  | ) | `[static]`

osg::Point::META_StateAttribute | ( | osg | ,
|  | Point | ,
|  | POINT |
| ) |

void Point::setDistanceAttenuation | ( | const Vec3 & | distanceAttenuation | ) |

void Point::setFadeThresholdSize | ( | float | fadeThresholdSize | ) |

void Point::setMaxSize | ( | float | maxSize | ) |

void Point::setMinSize | ( | float | minSize | ) |

void Point::setSize | ( | float | size | ) |

## Member Data Documentation

Vec3 osg::Point::_distanceAttenuation `[protected]`

float osg::Point::_fadeThresholdSize `[protected]`

float osg::Point::_maxSize `[protected]`

float osg::Point::_minSize `[protected]`

float osg::Point::_size `[protected]`

The documentation for this class was generated from the following files:

- Point
- Point.cpp